import request from '@/utils/request'

// 查询通报完成情况列表
export function listTbwc(query) {
  return request({
    url: '/tcZz/networkSecurity/tbwc/list',
    method: 'get',
    params: query
  })
}

// 查询通报完成情况详细
export function getTbwc(id) {
  return request({
    url: '/tcZz/networkSecurity/tbwc/' + id,
    method: 'get'
  })
}

// 新增通报完成情况
export function addTbwc(data) {
  return request({
    url: '/tcZz/networkSecurity/tbwc',
    method: 'post',
    data: data
  })
}

// 修改通报完成情况
export function updateTbwc(data) {
  return request({
    url: '/tcZz/networkSecurity/tbwc',
    method: 'put',
    data: data
  })
}

// 删除通报完成情况
export function delTbwc(id) {
  return request({
    url: '/tcZz/networkSecurity/tbwc/' + id,
    method: 'delete'
  })
}
